Skip to content

Create organization

POST
/api/v1/gen_organizations

Create a new organization.

CreateOrganizationRequest
object
organization
required
OrganizationData
object
name
required
Name

Name of the organization

string
Example
My Organization
avatar_identifier
Any of:
string

Successful Response

OrganizationMutationResponse

Response model for CREATE and UPDATE operations which return only the organization ID

object
organization_id
required
Organization Id
integer
key
additional properties
any

Bad Request

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Forbidden: You cannot update your own role, or the role of the owner, or remove yourself from the organization.

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "You cannot update your own role",
"error_code": "cannot_update_own_role"
}

Not Found: User not found, or user is not a member of this organization.

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "User not found",
"error_code": "user_not_found"
}

Unprocessable Content: Validation error (e.g., invalid parameters).

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "Name is too long",
"error_code": "validation_error"
}

Internal Server Error

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string